<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# функции
include_once '../function.php';

# заголовок
$set['title']='Набиваем наколку';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

# существует сесия - продолжим
if (isset($user)){

# Проверяем и фильтруем переменные 
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : 0;

# проверим на коректность
if(!$id){
echo '<div class="zona_rekl">Пустые параметры!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}

# проверим товар
$sql=mysql_query("SELECT * FROM `zona_nakolki` WHERE `id`='$id' ");
$row=mysql_fetch_assoc($sql);

if(!mysql_num_rows($sql)){
echo '<div class="zona_rekl">Такой наколки не существует!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:

echo '<div class="zona_menu"><img src="../img/nakolki/'.htmlspecialchars($row['link']).'" alt="*" /> '.htmlspecialchars($row['name']).'
<br/>Цена : <img src="../img/icon/icon_header_staff2.png" alt="*" /> ('.$row['cost'].' баксов .)<br/>
Если у тебя уже есть наколка , то я выведу старую , и набью эту .</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_fights.png" alt="*" /> <a href="nakolki_go.php?action=go&amp;id='.$id.'"> Набить </a></div>';

break;


# набиваем
case 'go':

# проверим на бабки
if($user['zona_balls']<$row['cost']){

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/user_pet_13.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Чё папутал ???<br/>
У тебя нет столько баксов .<br/>
Будут бабки , тогда приходи.</div>';
}

# бабки есть - набиваем
else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_nakolka`='".$row['link']."' ,`zona_balls`=`zona_balls`-'".$row['cost']."' WHERE `id`='".$user['id']."'");

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/user_pet_13.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Готово !<br/>
Можешь полюбоватся наколкой в меню своего персонажа .
</div>';
}
break;
}

echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
